# Retrive Adhoc Search query template

`GET /lokta-lms/api/v1/search/template`

Returns the template for an ad hoc search query.

Mandatory Fields

search?query=000000001

## Responses
- `default`: default response

## Response fields
- `count` (integer)
- `loanOutStanding` (number)
- `loanProductName` (string)
- `loanProducts` (array of LoanProductData)
- `officeName` (string)
- `offices` (array of OfficeData)
- `percentage` (number)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/search/template' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "count": 1,
  "loanOutStanding": 0,
  "loanProductName": "string",
  "loanProducts": [
    {}
  ]
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveAdHocSearchQueryTemplate
